com.h3c.sdn.misc.net

## Class MsgContextDTO

- java.lang.Object
- - com.h3c.sdn.misc.net.MsgContextDTO

-     public class MsgContextDTO
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MsgContextDTO()`
    `MsgContextDTO(ProtocolVersion pv, int auxId, DataPathId dpid, String openflowType, MessageType type, long xid, BufferId bufferId, BigPortNumber inPort, BigPortNumber inPhyPort, int totalLen, PacketInReason reason, TableId tableId, long cookie, Match match, byte[] data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `auxId()`
    `DataPathId` | `dpid()`
    `BufferId` | `getBufferId()`
    `long` | `getCookie()`
    `byte[]` | `getData()`
    `BigPortNumber` | `getInPhyPort()`
    `BigPortNumber` | `getInPort()`
    `Match` | `getMatch()`
    `PacketInReason` | `getReason()`
    `TableId` | `getTableId()`
    `int` | `getTotalLen()`
    `MessageType` | `getType()`
    `long` | `getXid()`
    `ProtocolVersion` | `negotiated()`
    `String` | `ofp_type()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MsgContextDTO

          public MsgContextDTO()

    - #### MsgContextDTO

          public MsgContextDTO(ProtocolVersion pv,
                       int auxId,
                       DataPathId dpid,
                       String openflowType,
                       MessageType type,
                       long xid,
                       BufferId bufferId,
                       BigPortNumber inPort,
                       BigPortNumber inPhyPort,
                       int totalLen,
                       PacketInReason reason,
                       TableId tableId,
                       long cookie,
                       Match match,
                       byte[] data)

  - ### Method Detail

    - #### auxId

          public int auxId()

    - #### ofp_type

          public String ofp_type()

    - #### dpid

          public DataPathId dpid()

    - #### negotiated

          public ProtocolVersion negotiated()

    - #### getXid

          public long getXid()

    - #### getType

          public MessageType getType()

    - #### getBufferId

          public BufferId getBufferId()

    - #### getInPort

          public BigPortNumber getInPort()

    - #### getInPhyPort

          public BigPortNumber getInPhyPort()

    - #### getTotalLen

          public int getTotalLen()

    - #### getReason

          public PacketInReason getReason()

    - #### getTableId

          public TableId getTableId()

    - #### getCookie

          public long getCookie()

    - #### getData

          public byte[] getData()

    - #### getMatch

          public Match getMatch()

Copyright © 2014. All Rights Reserved.